Package org.springframework.cglib.transform

# Class TransformingClassLoader

java.lang.Object
java.lang.ClassLoader
org.springframework.cglib.transform.AbstractClassLoader
org.springframework.cglib.transform.TransformingClassLoader

public class TransformingClassLoader extends AbstractClassLoader

## Constructor Summary

Constructors
Constructor
Description
`TransformingClassLoader(ClassLoader parent, ClassFilter filter, ClassTransformerFactory t)`

## Method Summary

Modifier and Type
Method
Description
`protected ClassGenerator`
`getGenerator(ClassReader r)`

### Methods inherited from class org.springframework.cglib.transform.AbstractClassLoader

`attributes, getFlags, loadClass, postProcess`

### Methods inherited from class java.lang.ClassLoader

`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findClass, findClass, findLibrary, findLoadedClass, findResource, findResource, findResources, findSystemClass, getClassLoadingLock, getDefinedPackage, getDefinedPackages, getName, getPackage, getPackages, getParent, getPlatformClassLoader, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, getUnnamedModule, isRegisteredAsParallelCapable, loadClass, registerAsParallelCapable, resolveClass, resources, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TransformingClassLoader

public TransformingClassLoader(ClassLoader parent, ClassFilter filter, ClassTransformerFactory t)

## Method Details

### getGenerator

protected ClassGenerator getGenerator(ClassReader r)

Overrides:
  `getGenerator` in class `AbstractClassLoader`